use maraiah::snd;

include!("data/rand.rs");

#[test]
fn snd_must_not_process()
{
	for inp in &RANDOM {
		assert!(snd::defs::read(inp).is_err());
		assert!(snd::snds::read(inp).is_err());

		let mut inp = std::io::BufReader::new(&inp[..]);
		assert!(snd::read(&mut inp).is_err());
	}
}

// EOF
